-- |RoRo is a library to manipulate and solve stages of Lupupu Cube.
--
-- Though this library can solve most stages in the Lupupu Cube, there
-- are still some cubes that can't be handled:
--
-- [/Almighty cube/] Also known as \"rainbow cube\"; the cube which
-- can be treated as any coloured cubes.
--
-- [/Limpid cube/] Transparent cubes which discreate when their
-- adjacent cubes discreate.
--
-- [/Large cube/] Cubes which are 2 x 2 size.
--
-- [/Linked cube/] Cubes which are linked with their adjacent cubes,
-- until one of those pairs discreate.
--
-- Be careful: if you try to let RoRo solve stages which contains
-- these cubes, it silently produces wrong solution without emitting
-- error. This behavior should be fixed in the future.

module Game.LupupuCube
    ( module Game.LupupuCube.Cube
    , module Game.LupupuCube.Phase
    , module Game.LupupuCube.Stage
    , module Game.LupupuCube.Solver
    , module Game.LupupuCube.XML
    )
    where

import           Game.LupupuCube.Cube
import           Game.LupupuCube.Phase
import           Game.LupupuCube.Stage
import           Game.LupupuCube.Solver
import           Game.LupupuCube.XML
